# Retrieve list of consents.

Endpoint: GET /consents/v2
Version: all
Security: Bearer

## Query parameters:

  - `configurationName` (string)
    Optional filter to get consents only for a particular configuration name for the client.

  - `consentStatus` (string)
    Optional filter to get consents with a particular status.
    Enum: "Pending", "Active", "Revoked", "Abandoned", "Failed", "Expired"

  - `providerId` (integer)
    Optional filter to get consents only for a particular provider id.

  - `customerReference` (string)
    Optional filter to get consents that match the customer reference exactly.

  - `userId` (string)
    Optional filter to get consents associated with userId

  - `dataSourceType` (string)
    Optional filter to get consents of a particular type (OpenBanking vs. CreditInformation).
    Enum: "OpenBanking", "CreditInformation", "UserSupplied"

  - `from` (string)
    Optional filter to get consents which have been created/updated after the from date.

  - `to` (string)
    Optional filter to get consents which have been created/updated before the to date.

  - `offset` (integer)
    Number of consents to skip.

  - `limit` (integer)
    Maximum number of consents in the response.

## Response 200 fields (application/json):

  - `consentId` (string)
    Unique reference for the consent.

  - `applicationId` (string)
    Application Id for the client.

  - `userId` (string)
    Unique reference for the User the consent is associated with.

  - `providerId` (integer)
    Provider Id for the consent.

  - `providerName` (string,null)
    Provider name for the consent.

  - `configurationName` (string,null)
    Specific configuration of the client.

  - `customerReference` (string,null)
    Reference for the consent provided by the client.

  - `consentDurationType` (string)
    Type of the consent based on duration.
    Enum: "Single", "Limited", "Infinite"

  - `consentStatus` (string)
    Enum: "Pending", "Active", "Revoked", "Abandoned", "Failed", "Expired"

  - `consentStart` (string,null)
    Start date for the consent.

  - `consentEnd` (string,null)
    End date for the consent.

  - `duration` (string,null)
    Duration of consent in ISO8601 format.

  - `daysOfHistoricalTransactions` (integer,null)
    Number of days of transactions that can be requested from the bank.

  - `statusUpdated` (string)
    Date of last status update of the consent.

  - `statusDetails` (string,null)
    Details for the current status.

  - `permissions` (array,null)
    List of permissions for the consent.

  - `invitationId` (string,null)
    Associated Invitation Id

  - `journeyType` (string)
    Used to indicate the type of journey that was performed
If null it means the default(initial) journey was performed.
    Enum: "Reauthentication", "Reconfirmation"

## Response 400 fields (application/json):

  - `code` (string,null)
    Error code.

  - `description` (string,null)
    Error message.

  - `details` (string,null)
    Error details.

  - `correlationId` (string,null)
    User transaction tracking Id


## Response 401 fields
